#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 9. General Libraries

- Prev

  liblinear-250

- Next

  libnvme-1.16.1

- Up
- Home

# libmbim-1.34.0

## Introduction to libmbim

The libmbim package contains a GLib-based library for talking to WWAN modems and devices which speak the Mobile Interface Broadband Model (MBIM) protocol.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://gitlab.freedesktop.org/mobile-broadband/libmbim/-/archive/1.34.0/libmbim-1.34.0.tar.gz

- Download MD5 sum: e5c2b38c6a79a047b93cb0c9510bd91f

- Download size: 292 KB

- Estimated disk space required: 23 MB (with tests)

- Estimated build time: 0.2 SBU (with tests)

### libmbim Dependencies

#### Recommended

GLib-2.88.0 (with GObject Introspection)

#### Optional

GTK-Doc-1.36.1, bash-completion, and help2man

## Installation of libmbim

Install libmbim by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..                 \
          --prefix=/usr            \
          --buildtype=release      \
          -D bash_completion=false \
          -D man=false             &&

    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D bash_completion=false`: Use this option if the external bash-completion package is not installed.

`-D man=false`: Use this option if the external help2man package is not installed.

## Contents

Installed Programs: mbimcli and mbim-network
Installed Libraries: libmbim-glib.so
Installed Directories: /usr/include/libmbim-glib

### Short Descriptions

mbimcli | is a utility used to control MBIM devices
mbim-network | is a utility used for simple network management of MBIM devices
`libmbim-glib.so` | contains API functions for talking to WWAN modems and devices which speak the Mobile Interface Broadband Model (MBIM) protocol

- Prev

  liblinear-250

- Next

  libnvme-1.16.1

- Up
- Home